#ifndef _THE_WALL_GAME_H_
#define _THE_WALL_GAME_H_

#include "Geo_Objects.h"
#include "Text2D.h"
#include "Global_Properties.h"

class Game
{
	Geo::Brick mBricks[GlobalProperties::BRICK_COUNT];
	Geo::Room mRoom;
	Geo::PlasmaBullet mBullet;
	Text2D mControls;

	void UpdateObjects();
	void RenderObjects();

public:
	Game();
	void Init();
	void Update();
	void UpdateInput();
	void CleanUp();
};

#endif // Close _THE_WALL_GAME_H_